<VirtualHost *:80>
   DocumentRoot /var/www/tasks.lemmermann.tech
   ServerName tasks.lemmermann.tech

        RewriteEngine On
        RewriteCond %{HTTPS} !on
        RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}




Redirect /sql http://lemmermann.tech/books/SQL/OEBPS/Text/TOC.xhtml

<Directory /var/www/tasks.lemmermann.tech/>
  AllowOverride All
</Directory>

  Alias /fuckthis /media/fuckthis

<Directory /media/fuckthis/>
  Options +Indexes
  Options +FollowSymLinks
  AllowOverride All
  Require all granted

</Directory>

<Directory /var/www/tasks.lemmermann.tech/>
  Options +Indexes
  AllowOverride All
</Directory>


  Alias /Sanctuary /media/Sanctuary

<Directory /media/Sanctuary/>
  Options +Indexes
  Options +FollowSymLinks
  AllowOverride All
  Require all granted

</Directory>



  Alias /temp /media/temp

<Directory /media/temp/>
#  AccessFileName /media/library/.htaccess
  Options Indexes FollowSymLinks
  AllowOverride None
   Order Deny,Allow
   #Allow from all
  
    AuthName "Rich's Personal Temp"
    AuthType Basic
    #AuthBasicProvider file ldap
    AuthUserFile /var/www/lemmermann.tech/.lib_temp
    #AuthLDAPURL ldap://ldaphost/o=yourorg
    Require valid-user

</Directory>


</VirtualHost>
<VirtualHost *:80>
   DocumentRoot /var/www/tasks.lemmermann.tech
   ServerName www.tasks.lemmermann.tech
<Directory /var/www/tasks.lemmermann.tech/>
  Options +FollowSymLinks
  AllowOverride All
</Directory>


  Alias /downloads /media/downloads

<Directory /media/downloads/>
  #AccessFileName /media/library/.htaccess
  Options Indexes FollowSymLinks
###Require all granted 
  AllowOverride None
  Order Deny,Allow
####
   #Allow from all
  
 #   AuthName "Rich's Personal Library"
  #  AuthType Basic
    #AuthBasicProvider file ldap
   # AuthUserFile /var/www/lemmermann.tech/.lib_htpasswd
    #AuthLDAPURL ldap://ldaphost/o=yourorg
 #   Require valid-user
#
</Directory>

</VirtualHost>

